<!DOCTYPE html>
<html
        lang="en"
        xmlns:th="http://www.thymeleaf.org"
        xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
        xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
        layout:decorate="~{layout3}"
>
<head>
    <meta charset="UTF-8" />
    <title>Payroll Configuration</title>
</head>
<body>

<main
        layout:fragment="main"
        class="container-xxl bd-gutter mt-3 my-md-4 bd-layout"
>
    <div th:include="sidebar/sidebar_employes::sidebar_employes" th:remove="tag">
        sidebar
    </div>

    <main class="bd-main-xxl">
        <div class="row">
            <div class="col-md-12">
                <div class="h4 pb-2 mb-4 text-dark border-bottom border-dark">
                    <span><i class="fa fa-tools" style="color: #9B7536"></i> Payroll Configuration Of : </span>
                    <span th:text="${employes.fullName}"></span>
                </div>
            </div>
        </div>

        <div class="row">
            <div class="col-md-12">
                <form class="form-horizontal" th:action="@{/masterdata/employes/payroll/save(employes=${employes.id})}" th:object="${employeePayrollInfo}" method="post" enctype="multipart/form-data">
                <div class="card">
                    <div class="card-header">
                        <span class="h4">Form</span>
                    </div>
                    <div class="card-body">
<!--                        <div class="row">-->
<!--                            <div class="col-md-6">-->
<!--                                <div class="form-group">-->
<!--                                    <label>Basic Salary</label>-->
<!--                                    <input type="text" class="form-control" placeholder="Enter ..." th:field="*{basicSalary}" name="basicSalary" id="basicSalary">-->
<!--                                </div>-->
<!--                            </div>-->
<!--                        </div>-->

                        <div class="row mb-3 border-bottom">
                            <div class="col-md-6">
                                <div class="mb-3 row">
                                    <label for="selectsatu" class="col-sm-6 col-form-label">PTKP Status : </label>
                                    <div class="col-sm-6">
                                        <select class="form-select" name="ptkpStatus" th:field="*{ptkpStatus}" id="selectsatu" data-placeholder="Choose one thing" required>
                                            <option th:value="null">Pilih</option>
                                            <option th:each="data : ${ptkpStatus}"
                                                    th:text="${data.ptkp}"
                                                    th:value="${data.id}">sdasd</option>
                                        </select>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
<!--                                <div class="mb-3 row">-->
<!--                                    <label for="taxConfiguration" class="col-sm-6 col-form-label">Tax Configuration : </label>-->
<!--                                    <div class="col-sm-6">-->
<!--                                        <select class="form-select" th:field="*{taxConfiguration}" name="taxConfiguration" id="taxConfiguration">-->
<!--                                            <option th:value="null">-</option>-->
<!--                                            <option th:value="GROSS">Gross</option>-->
<!--                                            <option th:value="GROSsUP">Gross Up</option>-->
<!--                                            <option th:value="NETTO">Netto</option>-->
<!--                                        </select>-->
<!--                                    </div>-->
<!--                                </div>-->
                            </div>
                        </div>
<!--                        <div class="row mb-3 border-bottom">-->
<!--                            <div class="col-md-6">-->
<!--                                <div class="mb-3 row">-->
<!--                                    <label for="prorateType" class="col-sm-4 col-form-label">Prorate Type : </label>-->
<!--                                    <div class="col-sm-8">-->
<!--                                        <select class="form-select" th:field="*{prorateType}" name="prorateType" id="prorateType">-->
<!--                                            <option th:value="null">-</option>-->
<!--                                            <option th:value="BWD">Based On Working Day</option>-->
<!--                                            <option th:value="BCD">Based On Calendar Day</option>-->
<!--                                            <option th:value="CWD">Custom On Working Day</option>-->
<!--                                            <option th:value="CCD">Custom On Calendar Day</option>-->
<!--                                        </select>-->
<!--                                    </div>-->
<!--                                </div>-->
<!--                            </div>-->
<!--                            <div class="col-md-6">-->
<!--                                <div class="mb-3 row">-->
<!--                                    <label for="typeSalary" class="col-sm-4 col-form-label">Type Salary : </label>-->
<!--                                    <div class="col-sm-8">-->
<!--                                        <select class="form-select" style="width: 100%;" th:field="*{typeSalary}" name="typeSalary" id="typeSalary">-->
<!--                                            <option th:value="null">-</option>-->
<!--                                            <option th:value="MONTHLY">Monthly</option>-->
<!--                                            <option th:value="DAILY">Daily</option>-->
<!--                                        </select>-->
<!--                                    </div>-->
<!--                                </div>-->
<!--                            </div>-->
<!--                        </div>-->
<!--                        <div class="row mb-3 border-bottom">-->
<!--                            <div class="col-md-6">-->
<!--                                <div class="mb-3 row">-->
<!--                                    <label for="taxable" class="col-sm-4 col-form-label">Taxable : </label>-->
<!--                                    <div class="col-sm-8">-->
<!--                                        <select class="form-select" th:field="*{taxable}" name="taxable" id="taxable">-->
<!--                                            <option th:value="null">-</option>-->
<!--                                            <option th:value="TAXABLE">Taxable</option>-->
<!--                                            <option th:value="NONTAXABLE">Non Taxable</option>-->
<!--                                        </select>-->
<!--                                    </div>-->
<!--                                </div>-->
<!--                            </div>-->
<!--                            <div class="col-md-6">-->
<!--                                <div class="mb-3 row">-->
<!--                                    <label class="col-sm-4 col-form-label">Taxable Date : </label>-->
<!--                                    <div class="col-sm-8">-->
<!--                                        <input type="date" class="form-control pull-right" id="salaryTaxableDateString" th:field="*{salaryTaxableDateString}" name="salaryTaxableDateString" placeholder="Taxable Date MM/dd/yyyy">-->
<!--                                    </div>-->
<!--                                </div>-->
<!--                            </div>-->
<!--                        </div>-->
<!--                        <div class="row mb-3 border-bottom">-->
<!--                            <div class="col-md-6">-->
<!--                                <div class="mb-3 row">-->
<!--                                    <label for="overtimeStatus" class="col-sm-4 col-form-label">Overtime Status : </label>-->
<!--                                    <div class="col-sm-8">-->
<!--                                        <select class="form-select" th:field="*{overtimeStatus}" name="overtimeStatus" id="overtimeStatus">-->
<!--                                            <option th:value="null">-</option>-->
<!--                                            <option th:value="NOTELIGIBLE">Not Eligible</option>-->
<!--                                            <option th:value="ELIGIBLE">Eligible</option>-->
<!--                                        </select>-->
<!--                                    </div>-->
<!--                                </div>-->
<!--                            </div>-->
<!--                            <div class="col-md-6">-->
<!--                                <div class="mb-3 row">-->
<!--                                    <label for="selectdua" class="col-sm-6 col-form-label">Employe Task Status : </label>-->
<!--                                    <div class="col-sm-6">-->
<!--                                        <select class="form-select" th:field="*{employeeTaxStatus}" name="employeeTaskStatus" id="selectdua">-->
<!--                                            <option th:value="null">-</option>-->
<!--                                            <option th:each="data : ${taxStatus}"-->
<!--                                                    th:text="${data.taxStatus}"-->
<!--                                                    th:value="${data.id}">sdasd</option>-->
<!--                                        </select>-->
<!--                                    </div>-->
<!--                                </div>-->
<!--                            </div>-->
<!--                        </div>-->
<!--                        <div class="row mb-3 border-bottom">-->
<!--                            <div class="col-md-6">-->
<!--                                <div class="mb-3 row">-->
<!--                                    <label for="jhtConfiguration" class="col-sm-4 col-form-label">JHT Configuration : </label>-->
<!--                                    <div class="col-sm-8">-->
<!--                                    <select class="form-select" th:field="*{jhtConfiguration}" name="jhtConfiguration" id="jhtConfiguration">-->
<!--                                        <option th:value="null">-</option>-->
<!--                                        <option th:value="BC">By Company</option>-->
<!--                                        <option th:value="BE">By Employee</option>-->
<!--                                        <option th:value="NP">Not Paid</option>-->
<!--                                        <option th:value="DE">Default</option>-->
<!--                                    </select>-->
<!--                                    </div>-->
<!--                                </div>-->
<!--                            </div>-->
<!--                            <div class="col-md-6">-->
<!--                                <div class="mb-3 row">-->
<!--                                    <label for="bpjsKesehatanConfiguration" class="col-sm-6 col-form-label">BPJS Kesehatan Configuration : </label>-->
<!--                                    <div class="col-sm-6">-->
<!--                                    <select class="form-select" th:field="*{bpjsKesehatanConfiguration}" name="bpjsKesehatanConfiguration" id="bpjsKesehatanConfiguration">-->
<!--                                        <option th:value="null">-</option>-->
<!--                                        <option th:value="BC">By Company</option>-->
<!--                                        <option th:value="BE">By Employee</option>-->
<!--                                        <option th:value="NP">Not Paid</option>-->
<!--                                        <option th:value="DE">Default</option>-->
<!--                                    </select>-->
<!--                                    </div>-->
<!--                                </div>-->
<!--                            </div>-->
<!--                        </div>-->
<!--                        <div class="row mb-3 border-bottom">-->
<!--                            <div class="col-md-6">-->
<!--                                <div class="mb-3 row">-->
<!--                                    <label for="jaminanPensiunConfiguration" class="col-sm-6 col-form-label">Jaminan Pensiun Configuration : </label>-->
<!--                                    <div class="col-sm-6">-->
<!--                                    <select class="form-select" th:field="*{jaminanPensiunConfiguration}" name="jaminanPensiunConfiguration" id="jaminanPensiunConfiguration">-->
<!--                                        <option th:value="null">-</option>-->
<!--                                        <option th:value="BC">By Company</option>-->
<!--                                        <option th:value="BE">By Employee</option>-->
<!--                                        <option th:value="NP">Not Paid</option>-->
<!--                                        <option th:value="DE">Default</option>-->
<!--                                    </select>-->
<!--                                    </div>-->
<!--                                </div>-->
<!--                            </div>-->
<!--                            <div class="col-md-6">-->
<!--                                <div class="mb-3 row">-->
<!--                                    <label for="nppBpjsKetenagakerjaan" class="col-sm-6 col-form-label">NPP BPJS Ketenagakerjaan : </label>-->
<!--                                    <div class="col-sm-6">-->
<!--                                    <select class="form-select" style="width: 100%;" th:field="*{nppBpjsKetenagakerjaan}" name="nppBpjsKetenagakerjaan" id="nppBpjsKetenagakerjaan">-->
<!--                                        <option th:value="null">-</option>-->
<!--                                        <option th:value="DE">Default</option>-->
<!--                                    </select>-->
<!--                                    </div>-->
<!--                                </div>-->
<!--                            </div>-->
<!--                        </div>-->
                        <div class="row mb-3 border-bottom">
                            <div class="col-md-4">
                                <div class="mb-3 row">
                                    <div class="col-sm-12">
                                    <label>BPJS TK</label>
                                    <input type="text" class="form-control" placeholder="Enter ..." th:field="*{bpjsKetenagakerjaan}" name="bpjsKetenagakerjaan" id="bpjsKetenagakerjaan">
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="mb-3 row">
                                    <div class="col-sm-12">
                                    <label>BPJS KES</label>
                                    <input type="text" class="form-control" placeholder="Enter ..." th:field="*{bpjsKesehatan}" name="bpjsKesehatan" id="bpjsKesehatan">
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="mb-3 row">
                                    <div class="col-sm-12">
                                    <label>BPJS KES Family</label>
                                    <select class="form-select" th:field="*{bpjsKesehatanFamily}" name="bpjsKesehatanFamily" id="bpjsKesehatanFamily">
                                        <option th:value="null">-</option>
                                        <option th:value="0">0</option>
                                        <option th:value="1">1</option>
                                        <option th:value="2">2</option>
                                        <option th:value="3">3</option>
                                        <option th:value="4">4</option>
                                        <option th:value="5">5</option>
                                        <option th:value="6">6</option>
                                        <option th:value="7">7</option>
                                        <option th:value="8">8</option>
                                        <option th:value="9">9</option>
                                    </select>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row mb-3 border-bottom">
                            <div class="col-md-6">
                                <div class="mb-3 row">
                                    <label for="npwp" class="col-sm-2 col-form-label">NPWP</label>
                                    <div class="col-sm-10">
                                    <input type="text" class="form-control" placeholder="Enter ..." th:field="*{npwp}" name="npwp" id="npwp">
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="mb-3 row">
                                    <label for="selecttiga" class="col-sm-4 col-form-label">Bank Name</label>
                                    <div class="col-sm-8">
                                        <select class="form-select" style="width: 100%;" th:field="*{bankName}" name="bankName" id="selecttiga">
                                            <option th:each="data : ${bank}"
                                                    th:text="${data.namaBank}"
                                                    th:value="${data.id}">sdasd</option>
                                        </select>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="row mb-3 border-bottom">
                            <div class="col-md-6">
                                <div class="mb-3 row">
                                    <label for="bankAccount" class="col-sm-4 col-form-label">Bank Account : </label>
                                    <div class="col-sm-8">
                                    <input type="text" class="form-control" placeholder="Enter ..." th:field="*{bankAccount}" name="bankAccount" id="bankAccount">
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="mb-3 row">
                                    <label for="bankAccountHolder" class="col-sm-6 col-form-label">Bank Account Holder : </label>
                                    <div class="col-sm-6">
                                    <input type="text" class="form-control" placeholder="Enter ..." th:field="*{bankAccountHolder}" name="bankAccountHolder" id="bankAccountHolder">
                                    </div>
                                    </div>
                            </div>
                        </div>

                        <input type="hidden" name="id" th:field="*{id}">
                        <input type="hidden" name="basicSalary" th:field="*{basicSalary}">


                        <!--                        <div class="row mb-3 border-bottom">-->
<!--                            <div class="col-md-6">-->
<!--                                <div class="mb-3 row">-->
<!--                                    <label for="currency" class="col-sm-4 col-form-label">Currency : </label>-->
<!--                                    <div class="col-sm-8">-->
<!--                                    <select class="form-select" style="width: 100%;" th:field="*{currency}" name="currency" id="currency">-->
<!--                                        <option th:value="IDR">IDR</option>-->
<!--                                        <option th:value="USD">USD</option>-->
<!--                                    </select>-->
<!--                                    </div>-->
<!--                                </div>-->
<!--                            </div>-->
<!--                        </div>-->

<!--                        <div class="row mb-3 border-bottom">-->
<!--                            <div class="col-md-6">-->
<!--                                <div class="mb-3 row">-->
<!--                                    <label for="biginningNetto" class="col-sm-4 col-form-label">Beginning Netto : </label>-->
<!--                                    <div class="col-sm-8">-->
<!--                                    <input type="text" class="form-control" placeholder="Enter ..." th:field="*{biginningNetto}" name="biginningNetto" id="biginningNetto">-->
<!--                                    </div>-->
<!--                                </div>-->
<!--                            </div>-->
<!--                            <div class="col-md-6">-->
<!--                                <div class="mb-3 row">-->
<!--                                    <label for="pph21Paid" class="col-sm-4 col-form-label">PPH21 Paid</label>-->
<!--                                    <div class="col-sm-8">-->
<!--                                    <input type="text" class="form-control" placeholder="Enter ..." th:field="*{pph21Paid}" name="pph21Paid" id="pph21Paid">-->
<!--                                    </div>-->
<!--                                </div>-->
<!--                            </div>-->
<!--                        </div>-->

<!--                        <div class="row">-->
<!--                            <div class="col-md-6">-->
<!--                                <div class="mb-3 row">-->
<!--                                    <label for="bpjsKetenagakerjaanDateString" class="col-sm-4 col-form-label">BPJS TK Date</label>-->
<!--                                    <div class="col-sm-8">-->
<!--                                        <input type="date" class="form-control pull-right" id="bpjsKetenagakerjaanDateString" th:field="*{bpjsKetenagakerjaanDateString}" name="bpjsKetenagakerjaanDateString" placeholder="MM/dd/yyyy">-->
<!--                                    </div>-->
<!--                                </div>-->
<!--                            </div>-->
<!--                            <div class="col-md-6">-->
<!--                                <div class="mb-3 row">-->
<!--                                    <label for="bpjsKesehatanDateString" class="col-sm-4 col-form-label">BPJS KES Date</label>-->
<!--                                    <div class="col-sm-8">-->
<!--                                        <input type="date" class="form-control pull-right" id="bpjsKesehatanDateString" th:field="*{bpjsKesehatanDateString}" name="bpjsKesehatanDateString" placeholder="MM/dd/yyyy">-->
<!--                                    </div>-->
<!--                                </div>-->
<!--                            </div>-->
<!--                        </div>-->

                    </div>
                    <div class="card-footer">
                        <a th:href="@{/masterdata/employes/payroll(employes = ${employes.id})}" class="btn btn-secondary">Cancel</a>
                        <button type="submit" class="btn btn-primary pull-right" id="simpan">Save</button>
                    </div>
                </div>
                </form>
            </div>
        </div>

    </main>



</main>
</body>
</html>

<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Payroll Info</title>
</head>
<body>

<section layout:fragment="breadcrumb" class="content-header">
    <h1>
        Payroll Info
        <small></small>
    </h1>
    <ol class="breadcrumb">
        <li class="treeview active"> Master Data</li>
        <li class="active"> Payroll Info</li>
    </ol>
</section>

<section layout:fragment="main" class="content">

    <div class="row">
        <div class="col-md-3">
            <div class="box box-solid">
                <div class="box-header with-border">
                    <h3 class="box-title">Tab</h3>

                    <div class="box-tools">
                        <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i>
                        </button>
                    </div>
                </div>
                <div class="box-body no-padding">
                    <ul class="nav nav-pills nav-stacked">
                        <li>
                            <a th:href="@{/masterdata/employes/detail(employes=${employes.getId()})}"><i class="fa fa-inbox"></i> Detail</a>
                        </li>
                        <li>
                            <a th:href="@{/masterdata/employes/keluarga(employes=${employes.getId()})}"><i class="fa fa-inbox"></i> Keluarga</a>
                        </li>
                        <li>
                            <a th:href="@{/masterdata/employes/pendidikan(employes=${employes.getId()})}"><i class="fa fa-inbox"></i> Pendidikan</a>
                        </li>
                        <li>
                            <a th:href="@{/masterdata/employes/riwayat_kerja(employes=${employes.getId()})}"><i class="fa fa-inbox"></i> Pengalaman Bekerja</a>
                        </li>
                        <li>
                            <a th:href="@{/masterdata/employes/bahasa(employes=${employes.getId()})}"><i class="fa fa-inbox"></i> Bahasa</a>
                        </li>
<!--                        <li>-->
<!--                            <a th:href="@{/masterdata/employes/sertifikasi(employes=${employes.getId()})}"><i class="fa fa-inbox"></i> Sertifikasi</a>-->
<!--                        </li>-->
<!--                        <li>-->
<!--                            <a th:href="@{/masterdata/employes/keahlian(employes=${employes.getId()})}"><i class="fa fa-inbox"></i>  Keahlian</a>-->
<!--                        </li>-->
                        <li>
                            <a th:href="@{/masterdata/employes/keahlian(employes=${employes.getId()})}"><i class="fa fa-inbox"></i> Sertifikasi/Keahlian</a>
                        </li>
                        <li>
                            <a th:href="@{/masterdata/employes/payroll(employes=${employes.getId()})}"><i class="fa fa-inbox"></i> Payroll Info</a>
                        </li>
                    </ul>
                </div>
                <!-- /.box-body -->
            </div>
        </div>
        <div class="col-md-9">

            <div class="callout callout-success" th:if="${success != null}">
                <h4>Save Data Success!</h4>

                <p>Data Berhasil Disimpan.</p>
            </div>

            <div class="callout callout-success" th:if="${deleted != null}">
                <h4>Delete Data Success!</h4>

                <p>Data Berhasil Dihapus.</p>
            </div>

            <div class="callout callout-danger" th:if="${gagal != null}">
                <h4>Save Data Unsuccesfully!</h4>

                <p>Data Tidak dapat dihapus karena ada anggaran aktif di dalamnya. hapus anggaran terlebih dahulu sebelum menghapus departemen ini..</p>
            </div>

            <!-- Custom Tabs -->
            <div class="nav-tabs-custom">
                <ul class="nav nav-tabs">
                    <li class="active"><a href="#detail" data-toggle="tab">Payroll Info</a></li>
                </ul>
                    <div class="tab-content">
                        <div class="tab-pane active" id="detail">
                            <div class="row">
                                <div class = "col-md-12">
                                    <div class="box box-info">
                                        <div class="box-header with-border">
<!--                                            <h3 class="box-title"></h3>-->
                                            <h3 class="box-title" th:text="${employes.fullName}"></h3>
                                        </div>
                                        <!-- /.box-header -->
                                        <!-- form start -->
                                        <form class="form-horizontal" th:action="@{/masterdata/employes/payroll/save(employes=${employes.id})}" th:object="${employeePayrollInfo}" method="post" enctype="multipart/form-data">
                                            <div class="box-body">
                                                <div class="col-md-12">
                                                    <div class="row">
                                                        <div class="col-md-6">
                                                            <div class="form-group">
                                                                <label>Basic Salary</label>
                                                                <input type="text" class="form-control" placeholder="Enter ..." th:field="*{basicSalary}" name="basicSalary" id="basicSalary">
                                                            </div>
                                                        </div>
                                                    </div>

                                                    <div class="row">
                                                        <div class="col-md-6">
                                                            <div class="form-group">
                                                                <label>PTKP Status</label>
                                                                <select class="form-control select2" style="width: 100%;" th:field="*{ptkpStatus}" name="ptkpStatus" id="ptkpStatus">
                                                                    <option value="">Pilih</option>
                                                                    <option th:each="data : ${ptkpStatus}"
                                                                            th:text="${data.ptkp}"
                                                                            th:value="${data.id}">sdasd</option>
                                                                </select>
                                                            </div>
                                                        </div>
                                                        <div class="col-md-6">
                                                            <div class="form-group">
                                                                <label>Tax Configuration</label>
                                                                <select class="form-control select2" style="width: 100%;" th:field="*{taxConfiguration}" name="taxConfiguration" id="taxConfiguration">
                                                                    <option selected="selected" th:value="Null">-</option>
                                                                    <option th:value="GROSS">Gross</option>
                                                                    <option th:value="GROSsUP">Gross Up</option>
                                                                    <option th:value="NETTO">Netto</option>
                                                                </select>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="row">
                                                        <div class="col-md-6">
                                                            <div class="form-group">
                                                                <label>Prorate Type</label>
                                                                <select class="form-control select2" style="width: 100%;" th:field="*{prorateType}" name="prorateType" id="prorateType">
                                                                    <option selected="selected" th:value="Null">-</option>
                                                                    <option th:value="BWD">Based On Working Day</option>
                                                                    <option th:value="BCD">Based On Calendar Day</option>
                                                                    <option th:value="CWD">Custom On Working Day</option>
                                                                    <option th:value="CCD">Custom On Calendar Day</option>
                                                                </select>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="row">
                                                        <div class="col-md-6">
                                                            <div class="form-group">
                                                                <label>Type Salary</label>
                                                                <select class="form-control select2" style="width: 100%;" th:field="*{typeSalary}" name="typeSalary" id="typeSalary">
                                                                    <option th:value="MONTHLY">Monthly</option>
                                                                    <option th:value="DAILY">Daily</option>
                                                                </select>
                                                            </div>
                                                        </div>
                                                        <div class="col-md-3">
                                                            <div class="form-group">
                                                                <label>Taxable</label>
                                                                <select class="form-control select2" style="width: 100%;" th:field="*{taxable}" name="taxable" id="taxable">
                                                                    <option th:value="TAXABLE">Taxable</option>
                                                                    <option th:value="NONTAXABLE">Non Taxable</option>
                                                                </select>
                                                            </div>
                                                        </div>
                                                        <div class="col-md-3">
                                                            <div class="form-group">
                                                                <label>Taxable Date</label>
                                                                <div class="input-group date">
                                                                    <div class="input-group-addon">
                                                                        <i class="fa fa-calendar"></i>
                                                                    </div>
                                                                    <input type="text" class="form-control pull-right" id="salaryTaxableDateString" th:field="*{salaryTaxableDateString}" name="salaryTaxableDateString" placeholder="Taxable Date MM/dd/yyyy">
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="row">
                                                        <div class="col-md-6">
                                                            <div class="form-group">
                                                                <label>Overtime Status</label>
                                                                <select class="form-control select2" style="width: 100%;" th:field="*{overtimeStatus}" name="overtimeStatus" id="overtimeStatus">
                                                                    <option th:value="NOTELIGIBLE">Not Eligible</option>
                                                                    <option th:value="ELIGIBLE">Eligible</option>
                                                                </select>
                                                            </div>
                                                        </div>
                                                        <div class="col-md-4">
                                                            <div class="form-group">
                                                                <label>Employe Task Status</label>
                                                                <select class="form-control select2" style="width: 100%;" th:field="*{employeeTaxStatus}" name="employeeTaskStatus" id="employeeTaskStatus">
                                                                    <option th:each="data : ${taxStatus}"
                                                                            th:text="${data.taxStatus}"
                                                                            th:value="${data.id}">sdasd</option>
                                                                </select>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="row">
                                                        <div class="col-md-6">
                                                            <div class="form-group">
                                                                <label>JHT Configuration</label>
                                                                <select class="form-control select2" style="width: 100%;" th:field="*{jhtConfiguration}" name="jhtConfiguration" id="jhtConfiguration">
                                                                    <option th:value="BC">By Company</option>
                                                                    <option th:value="BE">By Employee</option>
                                                                    <option th:value="NP">Not Paid</option>
                                                                    <option th:value="DE">Default</option>
                                                                </select>
                                                            </div>
                                                        </div>
                                                        <div class="col-md-6">
                                                            <div class="form-group">
                                                                <label>BPJS Kesehatan Configuration</label>
                                                                <select class="form-control select2" style="width: 100%;" th:field="*{bpjsKesehatanConfiguration}" name="bpjsKesehatanConfiguration" id="bpjsKesehatanConfiguration">
                                                                    <option th:value="BC">By Company</option>
                                                                    <option th:value="BE">By Employee</option>
                                                                    <option th:value="NP">Not Paid</option>
                                                                    <option th:value="DE">Default</option>
                                                                </select>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="row">
                                                        <div class="col-md-6">
                                                            <div class="form-group">
                                                                <label>Jaminan Pensiun Configuration</label>
                                                                <select class="form-control select2" style="width: 100%;" th:field="*{jaminanPensiunConfiguration}" name="jaminanPensiunConfiguration" id="jaminanPensiunConfiguration">
                                                                    <option th:value="BC">By Company</option>
                                                                    <option th:value="BE">By Employee</option>
                                                                    <option th:value="NP">Not Paid</option>
                                                                    <option th:value="DE">Default</option>
                                                                </select>
                                                            </div>
                                                        </div>
                                                        <div class="col-md-6">
                                                            <div class="form-group">
                                                                <label>NPP BPJS Ketenagakerjaan</label>
                                                                <select class="form-control select2" style="width: 100%;" th:field="*{nppBpjsKetenagakerjaan}" name="nppBpjsKetenagakerjaan" id="nppBpjsKetenagakerjaan">
                                                                    <option th:value="DE">Default</option>
                                                                </select>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="row">
                                                        <div class="col-md-5">
                                                            <div class="form-group">
                                                                <label>BPJS Ketenagakerjaan</label>
                                                                <input type="text" class="form-control" placeholder="Enter ..." th:field="*{bpjsKetenagakerjaan}" name="bpjsKetenagakerjaan" id="bpjsKetenagakerjaan">
                                                            </div>
                                                        </div>
                                                        <div class="col-md-5">
                                                            <div class="form-group">
                                                                <label>BPJS Kesehatan</label>
                                                                <input type="text" class="form-control" placeholder="Enter ..." th:field="*{bpjsKesehatan}" name="bpjsKesehatan" id="bpjsKesehatan">
                                                            </div>
                                                        </div>
                                                        <div class="col-md-2">
                                                            <div class="form-group">
                                                                <label>BPJS Kesehatan Family</label>
                                                                <select class="form-control select2" style="width: 100%;" th:field="*{bpjsKesehatanFamily}" name="bpjsKesehatanFamily" id="bpjsKesehatanFamily">
                                                                    <option th:value="0">0</option>
                                                                    <option th:value="1">1</option>
                                                                    <option th:value="2">2</option>
                                                                    <option th:value="3">3</option>
                                                                    <option th:value="4">4</option>
                                                                    <option th:value="5">5</option>
                                                                    <option th:value="6">6</option>
                                                                    <option th:value="7">7</option>
                                                                    <option th:value="8">8</option>
                                                                    <option th:value="9">9</option>
                                                                </select>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="row">
                                                        <div class="col-md-6">
                                                            <div class="form-group">
                                                                <label>NPWP</label>
                                                                <input type="text" class="form-control" placeholder="Enter ..." th:field="*{npwp}" name="npwp" id="npwp">
                                                            </div>
                                                        </div>
                                                        <div class="col-md-6">
                                                            <div class="form-group">
                                                                <label>Bank Name</label>
                                                                <select class="form-control select2" style="width: 100%;" th:field="*{bankName}" name="bankName" id="bankName">
                                                                    <option th:each="data : ${bank}"
                                                                            th:text="${data.namaBank}"
                                                                            th:value="${data.id}">sdasd</option>
                                                                </select>
                                                            </div>
                                                        </div>
                                                    </div>

                                                    <div class="row">
                                                        <div class="col-md-6">
                                                            <div class="form-group">
                                                                <label>Bank Account</label>
                                                                <input type="text" class="form-control" placeholder="Enter ..." th:field="*{bankAccount}" name="bankAccount" id="bankAccount">
                                                            </div>
                                                        </div>
                                                        <div class="col-md-6">
                                                            <div class="form-group">
                                                                <label>Bank Account Holder</label>
                                                                <input type="text" class="form-control" placeholder="Enter ..." th:field="*{bankAccountHolder}" name="bankAccountHolder" id="bankAccountHolder">
                                                            </div>
                                                        </div>
                                                    </div>

                                                    <div class="row">
                                                        <div class="col-md-6">
                                                            <div class="form-group">
                                                                <label>Currency</label>
                                                                <select class="form-control select2" style="width: 100%;" th:field="*{currency}" name="currency" id="currency">
                                                                    <option th:value="IDR">IDR</option>
                                                                    <option th:value="USD">USD</option>
                                                                </select>
                                                            </div>
                                                        </div>
                                                    </div>

                                                    <div class="row">
                                                        <div class="col-md-6">
                                                            <div class="form-group">
                                                                <label>Beginning Netto</label>
                                                                <input type="text" class="form-control" placeholder="Enter ..." th:field="*{biginningNetto}" name="biginningNetto" id="biginningNetto">
                                                            </div>
                                                        </div>
                                                        <div class="col-md-6">
                                                            <div class="form-group">
                                                                <label>PPH21 Paid</label>
                                                                <input type="text" class="form-control" placeholder="Enter ..." th:field="*{pph21Paid}" name="pph21Paid" id="pph21Paid">
                                                            </div>
                                                        </div>
                                                    </div>

                                                    <div class="row">
                                                        <div class="col-md-6">
                                                            <div class="form-group">
                                                                <label>Taxable Date</label>
                                                                <div class="input-group date">
                                                                    <div class="input-group-addon">
                                                                        <i class="fa fa-calendar"></i>
                                                                    </div>
                                                                    <input type="text" class="form-control pull-right" id="bpjsKetenagakerjaanDateString" th:field="*{bpjsKetenagakerjaanDateString}" name="bpjsKetenagakerjaanDateString" placeholder="MM/dd/yyyy">
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-md-6">
                                                            <div class="form-group">
                                                                <label>Taxable Date</label>
                                                                <div class="input-group date">
                                                                    <div class="input-group-addon">
                                                                        <i class="fa fa-calendar"></i>
                                                                    </div>
                                                                    <input type="text" class="form-control pull-right" id="bpjsKesehatanDateString" th:field="*{bpjsKesehatanDateString}" name="bpjsKesehatanDateString" placeholder="MM/dd/yyyy">
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>

                                                </div>
                                                <input type="hidden" name="id" th:field="*{id}">



                                            </div>
<!--                                            <div class="box-body">-->
<!--                                                <div class="col-md-12">-->
<!--                                                    <div class="box-body table-responsive no-padding">-->
<!--                                                        <table class="table table-bordered">-->
<!--                                                            <tr>-->
<!--                                                                <th style="width: 10px">#</th>-->
<!--                                                                <th>Payroll Component</th>-->
<!--                                                                <th>Type</th>-->
<!--                                                                <th>Nominal</th>-->
<!--                                                                <th style="width: 10px"></th>-->
<!--                                                            </tr>-->
<!--                                                            <tr th:each="dataEmployeePayrollComponent,row : ${listEmployeePayrollComponent}">-->
<!--                                                                <td th:text="${(row.index + 1)}">1.</td>-->
<!--                                                                <td th:text="${dataEmployeePayrollComponent.payrollComponent.getName()}">BEASISWA</td>-->
<!--                                                                <td th:text="${dataEmployeePayrollComponent.payrollComponent.getJenisComponent()}">BEASISWA</td>-->
<!--                                                                <td th:if="${dataEmployeePayrollComponent.getJenisComponent() == 'DEFAULT'}" th:text="${dataEmployeePayrollComponent.getJenisComponent()}">BEASISWA</td>-->
<!--                                                                <td th:if="${dataEmployeePayrollComponent.getJenisComponent() == 'FUNCTIONS'}" th:text="${dataEmployeePayrollComponent.getJenisComponent()}">BEASISWA</td>-->
<!--                                                                <td th:if="${dataEmployeePayrollComponent.getJenisComponent() == 'CUSTOM'}" th:text="${#numbers.formatDecimal(dataEmployeePayrollComponent.getNominal(), 0, 'POINT', 2, 'COMMA')}">BEASISWA</td>-->
<!--                                                                <td style="width: 10px">-->
<!--                                                                    <a th:href="@{/masterdata/employes/payroll/component/delete(employeePayrollComponent=${dataEmployeePayrollComponent.id})}" class="btn btn-xs btn-danger">Delete</a>-->
<!--                                                                </td>-->
<!--                                                            </tr>-->
<!--                                                        </table>-->
<!--                                                    </div>-->
<!--                                                </div>-->

<!--                                                <div class="col-md-2">-->

<!--                                                    <button type="button" class="btn btn-default" data-toggle="modal" data-target="#modal-default">-->
<!--                                                        + Component-->
<!--                                                    </button>-->

<!--                                                </div>-->
<!--                                            </div>-->
                                            <!-- /.box-body -->
                                            <div class="box-footer">

                                                <a th:href="@{/masterdata/employes/payroll(employes = ${employes.id})}" class="btn btn-default">Cancel</a>
                                                <button type="submit" class="btn btn-info pull-right" id="simpan">Save</button>

                                            </div>
                                            <!-- /.box-footer -->
                                        </form>
<!--                                        <div class="modal fade" id="modal-default" role="dialog">-->
<!--                                            <div class="modal-dialog">-->
<!--                                                <form class="form-horizontal" method="post" th:action="@{/masterdata/employes/payroll/component/save(employes=${employes.id})}" th:object="${employeePayrollComponent}">-->
<!--                                                    <div class="modal-content">-->
<!--                                                            <div class="modal-header">-->
<!--                                                                <h4 class="modal-title">Component</h4>-->
<!--                                                            </div>-->
<!--                                                            <div class="modal-body">-->
<!--                                                                <div clas="row">-->
<!--                                                                    <div class="col-md-12">-->
<!--                                                                        <div class="form-group">-->
<!--                                                                            <label>Component</label>-->
<!--                                                                            <select class="form-control select2" style="width: 100%;" th:field="*{payrollComponent}" name="payrollComponent" id="payrollComponent">-->
<!--                                                                                <option th:each="data : ${listPayrollComponent}"-->
<!--                                                                                        th:text="${data.jenisComponent + ' - ' + data.name}"-->
<!--                                                                                        th:value="${data.id}">sdasd</option>-->
<!--                                                                            </select>-->
<!--                                                                        </div>-->
<!--                                                                        <div class="form-group">-->
<!--                                                                            <label>Jenis</label>-->
<!--                                                                            <select class="form-control select2" style="width: 100%;" th:field="*{jenisComponent}" name="jenisComponent" id="jenisComponent">-->
<!--                                                                                <option th:value="DEFAULT">Dafault</option>-->
<!--                                                                                <option th:value="FUNCTIONS">Functions</option>-->
<!--                                                                                <option th:value="CUSTOM">Custom</option>-->
<!--                                                                            </select>-->
<!--                                                                        </div>-->
<!--                                                                        <div class="form-group">-->
<!--                                                                            <label>Nominal</label>-->
<!--                                                                            <input type="text" class="form-control" placeholder="nominal ..." th:field="*{nominal}" name="nominal" id="nominal">-->
<!--                                                                        </div>-->
<!--                                                                        <input type="hidden" name="idc" th:field="*{id}">-->
<!--                                                                    </div>-->
<!--                                                                </div>-->
<!--                                                            </div>-->
<!--                                                            <div class="modal-footer">-->
<!--                                                                <button type="button" class="btn btn-default pull-left" data-dismiss="modal">Close</button>-->
<!--                                                                &lt;!&ndash;                                                                    <button type="button" class="btn btn-primary">Save changes</button>&ndash;&gt;-->
<!--                                                                <button type="submit" class="btn btn-info pull-right" id="save">Save</button>-->
<!--                                                            </div>-->
<!--                                                    </div>-->
<!--                                                </form>-->
<!--                                            </div>-->
<!--                                        </div>-->
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
            </div>
        </div>
    </div>
</section>

<section layout:fragment="footer" class="script">
    <script>
        $(function () {
            //Initialize Select2 Elements
            $('.select2').select2()

            //Datemask dd/mm/yyyy
            $('#datemask').inputmask('dd/mm/yyyy', { 'placeholder': 'dd/mm/yyyy' })
            //Datemask2 mm/dd/yyyy
            $('#datemask2').inputmask('mm/dd/yyyy', { 'placeholder': 'mm/dd/yyyy' })
            //Money Euro
            $('[data-mask]').inputmask()

            //Date range picker
            $('#reservation').daterangepicker()
            //Date range picker with time picker
            $('#reservationtime').daterangepicker({ timePicker: true, timePickerIncrement: 30, locale: { format: 'MM/DD/YYYY hh:mm A' }})
            //Date range as a button
            $('#daterange-btn').daterangepicker(
                {
                    ranges   : {
                        'Today'       : [moment(), moment()],
                        'Yesterday'   : [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
                        'Last 7 Days' : [moment().subtract(6, 'days'), moment()],
                        'Last 30 Days': [moment().subtract(29, 'days'), moment()],
                        'This Month'  : [moment().startOf('month'), moment().endOf('month')],
                        'Last Month'  : [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]
                    },
                    startDate: moment().subtract(29, 'days'),
                    endDate  : moment()
                },
                function (start, end) {
                    $('#daterange-btn span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'))
                }
            )

            //Date picker
            $('#salaryTaxableDateString').datepicker({
                autoclose: true
            })
            $('#bpjsKetenagakerjaanDateString').datepicker({
                autoclose: true
            })
            $('#bpjsKesehatanDateString').datepicker({
                autoclose: true
            })

            //iCheck for checkbox and radio inputs
            $('input[type="checkbox"].minimal, input[type="radio"].minimal').iCheck({
                checkboxClass: 'icheckbox_minimal-blue',
                radioClass   : 'iradio_minimal-blue'
            })
            //Red color scheme for iCheck
            $('input[type="checkbox"].minimal-red, input[type="radio"].minimal-red').iCheck({
                checkboxClass: 'icheckbox_minimal-red',
                radioClass   : 'iradio_minimal-red'
            })
            //Flat red color scheme for iCheck
            $('input[type="checkbox"].flat-red, input[type="radio"].flat-red').iCheck({
                checkboxClass: 'icheckbox_flat-green',
                radioClass   : 'iradio_flat-green'
            })

            //Colorpicker
            $('.my-colorpicker1').colorpicker()
            //color picker with addon
            $('.my-colorpicker2').colorpicker()

            //Timepicker
            $('.timepicker').timepicker({
                showInputs: false
            })
        })
    </script>
    <script>
        $(".js-example-placeholder-single").select2({
            placeholder: "Pilih Salah Satu",
            allowClear: true
        });

        $('.simpan').click(function () {
            Swal.fire({
                position: 'top-end',
                type: 'success',
                title: 'Your work has been saved',
                showConfirmButton: false
            })
        });
    </script>
</section>
</body>
</html>
</body>
</html>